Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034328
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2016-10-28 08:592019-08-22 14:45
ReportercaristuView Statuspublic 
Assigned Tocberner 
PriorityhighResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision69a96f025ab1
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034328: View Implementation accesses are not generated automatically for newly created roles

DescriptionView Implementation accesses are not generated automatically for newly created roles.
Steps To Reproduce1) Go to the [Role] window, and create a new automatic role (manual flag unchecked).

2) Navigate to the different subtabs which contain the new role accesses: org access, window access, form access...etc and notice that the accesses for view implementations have not been created.

Note: this issue can be workarounded by running update.database after generating the new role.

Proposed SolutionAdd the ability in the obuiapp_ad_role_trg trigger to populate the records of the OBUIAPP_View_Role_Access table
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00251643.0MP31 closedshankarb View Implementation access is not assigned for automatic roles after installing it with a module 
related to design defect 0018689 acknowledgedplatform Several issues with the View Implementation infrastructure 

-  Notes
(0113821)
hgbot (developer)
2019-08-06 10:08

Repository: erp/devel/pi
Changeset: 69a96f025ab1ccabdfe1a061e788095101cb3635
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Wed Jul 31 11:15:32 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/69a96f025ab1ccabdfe1a061e788095101cb3635 [^]

fixes issue 34328: Generates ViewImplAccess on automatic role creation

Trigger generates corresponding OBUIAPPViewRoleAccess for every active ViewImplementation when isManual is unchecked on role creation. Added tests to verify this.

---
M modules/org.openbravo.client.application/src-db/database/model/triggers/OBUIAPP_AD_ROLE_TRG.xml
M src-test/src/org/openbravo/test/AllAntTaskTests.java
A src-test/src/org/openbravo/test/role/RoleAccessGeneration.java
A src-test/src/org/openbravo/test/role/RoleTestSuite.java
---
(0113822)
AugustoMauch (developer)
2019-08-06 10:08

Code reviewed and verified, both in PostgreSQL and Oracle
(0114204)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-10-28 08:59 caristu New Issue
2016-10-28 08:59 caristu Assigned To => Triage Finance
2016-10-28 08:59 caristu Modules => Core
2016-10-28 08:59 caristu Triggers an Emergency Pack => No
2016-10-28 08:59 caristu Category 01. General setup => A. Platform
2016-10-28 09:00 caristu Relationship added related to 0025164
2016-10-28 09:00 caristu Assigned To Triage Finance => platform
2016-10-28 09:03 caristu Relationship added related to 0018689
2016-12-01 13:08 alostale Status new => acknowledged
2016-12-01 14:03 alostale Priority normal => high
2019-07-31 11:19 cberner Assigned To platform => cberner
2019-07-31 11:19 cberner Status acknowledged => scheduled
2019-08-02 09:08 cberner Review Assigned To => AugustoMauch
2019-08-06 10:08 hgbot Checkin
2019-08-06 10:08 hgbot Note Added: 0113821
2019-08-06 10:08 hgbot Status scheduled => resolved
2019-08-06 10:08 hgbot Resolution open => fixed
2019-08-06 10:08 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/69a96f025ab1ccabdfe1a061e788095101cb3635 [^]
2019-08-06 10:08 AugustoMauch Note Added: 0113822
2019-08-06 10:08 AugustoMauch Status resolved => closed
2019-08-06 10:08 AugustoMauch Fixed in Version => 3.0PR19Q4
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114204


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker